Skip to main content
GET
/
pageviews
/
{id}
Get pageview
curl --request GET \
  --url https://cookiechimp.com/api/v1/pageviews/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "pageview890",
  "session_id": "sess123",
  "url": "https://www.example.com/products/123",
  "consent_id": "consent321",
  "active_cookies": [
    "essential-cookie-1",
    "cookie1",
    "cookie2"
  ],
  "created_at": "2023-01-20T12:50:00Z"
}

Authorizations

Authorization
string
header
required

API token obtained from the login endpoint or the dashboard

Path Parameters

id
string
required

ID of the resource

Response

Pageview

id
string

Unique identifier for the pageview

session_id
string

ID of the session

url
string<uri>

URL of the pageview

If the user has given consent, the ID of the consent that is associated with the pageview

active_cookies
string[]

List of active cookies in the pageview

created_at
string<date-time>

Date and time when the pageview was created